Name:         stress
License:      GPL
Group:        System/Kernel and hardware 
Summary:      A tool which imposes a configurable amount of load on your system
Version:      1.0.2
Release:      1
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:       http://weather.ou.edu/~apw/projects/stress/%name-%{version}.tar.gz
URL:          http://weather.ou.edu/~apw/projects/stress/

%description
stress is a tool which imposes a configurable amount of CPU, memory, I/O, or
disk stress on a POSIX-compliant operating system. It is written in
highly-portable ANSI C, and uses the GNU Autotools to compile on a great number
of UNIX-like operating systems.

stress is not a benchmark. It is a tool used by system administrators to
evaluate how well their systems will scale, by kernel programmers to evaluate
perceived performance characteristics, and by systems programmers to expose the
classes of bugs which only or more frequently manifest themselves when the
system is under heavy load. 


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip -9 ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%{_bindir}/*
%{_infodir}/*.info.*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu Dec 03 2009 Michael Perzl <michael@perzl.org> - 1.0.2-1
- first version for AIX V5.1 and higher
